Index: lib/spatial/mapbuilder/examples/contextEditor/CatSearchForm_ebRim.js
===================================================================
--- lib/spatial/mapbuilder/examples/contextEditor/CatSearchForm_ebRim.js	(nonexistent)
+++ lib/spatial/mapbuilder/examples/contextEditor/CatSearchForm_ebRim.js	(revision 4307)
@@ -0,0 +1,182 @@
+/*
+Author:       Mike Adair mike.adairATccrs.nrcan.gc.ca
+License:      LGPL as per: http://www.gnu.org/copyleft/lesser.html
+
+$Id: CatSearchForm_ebRim.js 2546 2007-01-23 12:07:39Z gjvoosten $
+*/
+
+// Ensure this object's dependancies are loaded.
+mapbuilder.loadScript(baseDir+"/widget/WidgetBaseXSL.js");
+
+/**
+ * Widget to display a form for input of parameters to generate a web service 
+ * request.  This JS object handles the form submit via HTTP Get by appending 
+ * a query string to the form's action URL.  The query string is created from
+ * all input elements and their values.
+ * The target model is then loaded from the URL created.
+ * A stylehseet must be specified as a property in config for this widget.  
+ * See widget/NtsForm.xsl for an example. 
+ *
+ * @constructor
+ * @base WidgetBase
+ * @param widgetNode This widget's object node from the configuration document.
+ * @param model The model that this widget is a view of.
+ */
+
+function OWSCatSearchForm(widgetNode, model) {
+  WidgetBaseXSL.apply(this, new Array(widgetNode, model));
+
+  //get bbox inforamtion from a map model
+  var mapModel = widgetNode.selectSingleNode("mb:mapModel");
+  if ( mapModel ) {
+    this.mapModel = mapModel.firstChild.nodeValue;
+  } else {
+    this.mapModel = model.id;
+  }
+
+
+  /**
+   * Refreshes the form onblur handlers when this widget is painted.
+   * @param objRef Pointer to this CurorTrack object.
+   */
+  this.postPaint = function(objRef) {
+    config.objects[objRef.mapModel].addListener('aoi', this.displayAoiCoords, this);
+
+    objRef.searchForm = document.getElementById(objRef.formName);
+    objRef.searchForm.parentWidget = objRef;
+
+    objRef.searchForm.westCoord.onblur = objRef.setAoi;
+    objRef.searchForm.northCoord.onblur = objRef.setAoi;
+    objRef.searchForm.eastCoord.onblur = objRef.setAoi;
+    objRef.searchForm.southCoord.onblur = objRef.setAoi;
+    objRef.searchForm.westCoord.model = objRef.model;
+    objRef.searchForm.northCoord.model = objRef.model;
+    objRef.searchForm.eastCoord.model = objRef.model;
+    objRef.searchForm.southCoord.model = objRef.model;
+
+    objRef.searchForm.onkeypress = objRef.handleKeyPress;
+    objRef.searchForm.onsubmit = objRef.submitForm;
+    //objRef.searchForm.mapsheet.onblur = objRef.setMapsheet;
+  }
+
+  /**
+   * Output the AOI coordinates to the associated form input elements.  This
+   * method is registered as an AOI listener on the context doc.
+   * @param objRef Pointer to this searchForm object.
+   */
+  this.displayAoiCoords = function(objRef) {
+    //objRef.searchForm = document.getElementById(objRef.formName);
+    var aoi = config.objects[objRef.mapModel].getParam("aoi");
+    objRef.searchForm.westCoord.value = aoi[0][0];
+    objRef.searchForm.northCoord.value = aoi[0][1];
+    objRef.searchForm.eastCoord.value = aoi[1][0];
+    objRef.searchForm.southCoord.value = aoi[1][1];
+  }
+
+  /**
+   * Handles user input from the form element.  This is an onblur handler for 
+   * the input elements.
+   */
+  this.setAoi = function() {
+    var aoi = config.objects[objRef.mapModel].getParam("aoi");
+    if (aoi) {
+      var ul = aoi[0];
+      var lr = aoi[1];
+      switch(this.name) {
+        case 'westCoord':
+          ul[0] = this.value;
+          break;
+        case 'northCoord':
+          ul[1] = this.value;
+          break;
+        case 'eastCoord':
+          lr[0] = this.value;
+          break;
+        case 'southCoord':
+          lr[1] = this.value;
+          break;
+      }
+      config.objects[objRef.mapModel].setParam("aoi",new Array(ul,lr) );
+    }
+  }
+
+/**
+ * Change the AOI coordinates from select box choice of prefined locations
+ * @param bbox the bbox value of the location keyword chosen
+ */
+  this.setLocation = function(bbox) {
+    var bboxArray = new Array();
+    bboxArray     = bbox.split(",");
+    var ul = new Array(parseFloat(bboxArray[0]),parseFloat(bboxArray[2]));
+    var lr = new Array(parseFloat(bboxArray[1]),parseFloat(bboxArray[3]));
+    config.objects[this.mapModel].setParam("aoi",new Array(ul,lr));
+
+    //convert this.model XY to latlong
+    //convert latlong to targetmodel XY
+    //extent.setAoi takes XY as input
+    //this.targetModel.setParam("aoi", new Array(ul,lr));
+    //this.targetModel.setParam("mouseup",this);
+  }
+
+
+  /**
+   * Handles submission of the form (via javascript in an <a> tag)
+   */
+  this.submitForm = function() {
+    var thisWidget = this.parentWidget;
+    thisWidget.createFilter(thisWidget);
+    thisWidget.targetModel.setParam("csw_GetRecords","GetRecords");
+    return false;
+  }
+
+  /**
+   * creates the filter expression
+   */
+  this.createFilter = function(objRef) {
+    objRef.searchForm = document.getElementById(objRef.formName);
+
+    var aoi = config.objects[objRef.mapModel].getParam("aoi");
+    var bboxStr = "";
+    if (aoi) {
+      bboxStr = aoi[0][0]+","+aoi[1][1]+" "+aoi[1][0]+","+aoi[0][1];
+    } else {
+      var bbox = config.objects[objRef.mapModel].getBoundingBox();
+      bboxStr = bbox[0]+","+bbox[1]+" "+bbox[2]+","+bbox[3];
+    }
+    objRef.model.setXpathValue(objRef.model,"/Filter/And/BBOX/Box/coordinates",bboxStr,false);
+    var keywords = "*"+objRef.searchForm.keywords.value+"*";
+    objRef.model.setXpathValue(objRef.model,"/Filter/And/Or/Or/PropertyIsLike[PropertyName='title']/Literal",keywords,false);
+    objRef.model.setXpathValue(objRef.model,"/Filter/And/Or/Or/PropertyIsLike[PropertyName='abstract']/Literal",keywords,false);
+    objRef.model.setXpathValue(objRef.model,"/Filter/And/Or/PropertyIsLike[PropertyName='keywords']/Literal",keywords,false);
+
+    objRef.model.setXpathValue(objRef.model,"/Filter/And/PropertyIsEqualTo[PropertyName='service_type']/Literal",objRef.searchForm.serviceType.value,false);
+  }
+
+
+  /**
+   * handles keypress events to filter out everything except "enter".  
+   * Pressing the "enter" key will trigger a form submit
+   * @param event  the event object passed in for Mozilla; IE uses window.event
+   */
+  this.handleKeyPress = function(event) {
+    var keycode;
+    var target;
+    if (event){
+      //Mozilla
+      keycode=event.which;
+      target=event.currentTarget;
+    }else{
+      //IE
+      keycode=window.event.keyCode;
+      target=window.event.srcElement.form;
+    }
+
+    if (keycode == 13) {    //enter key
+      return true;
+    }
+  }
+
+  //set some properties for the form output
+  this.formName = "WebServiceForm_" + mbIds.getId();
+  this.stylesheet.setParameter("formName", this.formName);
+}
Index: lib/spatial/mapbuilder/examples/Demis/AoiForm.xsl
===================================================================
--- lib/spatial/mapbuilder/examples/Demis/AoiForm.xsl	(nonexistent)
+++ lib/spatial/mapbuilder/examples/Demis/AoiForm.xsl	(revision 4307)
@@ -0,0 +1,70 @@
+<?xml version="1.0" encoding="utf-8" standalone="no" ?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+
+<!--
+Description: Output a form for display of the context doc AOI
+Author:      Mike Adair
+Licence:     LGPL as per: http://www.gnu.org/copyleft/lesser.html
+
+AoiForm.xsl,v 1.2 2004/06/25 17:59:38 madair1 Exp
+-->
+
+  <xsl:output method="xml" encoding="utf-8"/>
+
+  <!-- The common params set for all widgets -->
+  <xsl:param name="modelId"/>
+  <xsl:param name="widgetId"/>
+
+  <!-- The name of the form for coordinate output -->
+  <xsl:param name="formName">AOIForm</xsl:param>
+
+  <!-- Text params for this widget -->
+  <xsl:param name="title"/>
+  <xsl:param name="north"/>
+  <xsl:param name="south"/>
+  <xsl:param name="east"/>
+  <xsl:param name="west"/>
+  
+  <!-- Main html -->
+  <xsl:template match="/">
+    <div>
+    <form name="{$formName}" id="{$formName}">
+      <table>
+        <tr>
+          <th align="left" colspan="3">
+          </th>
+        </tr>
+        <tr>
+          <td>
+          </td>
+          <td>
+            <input name="northCoord" type="hidden" size="10" style="font: 8pt Verdana, geneva, arial, sans-serif;" readonly="readonly"/>
+          </td>
+          <td>
+          </td>
+        </tr>
+        <tr>
+          <td>
+            <input name="westCoord" type="hidden" size="10" style="font: 8pt Verdana, geneva, arial, sans-serif;" readonly="readonly"/>
+          </td>
+          <td>
+          </td>
+          <td>
+            <input name="eastCoord" type="hidden" size="10" style="font: 8pt Verdana, geneva, arial, sans-serif;" readonly="readonly"/>
+          </td>
+        </tr>
+        <tr>
+          <td>
+          </td>
+          <td>
+            <input name="southCoord" type="hidden" size="10" style="font: 8pt Verdana, geneva, arial, sans-serif;" readonly="readonly"/>
+          </td>
+          <td>
+          </td>
+        </tr>
+      </table>
+    </form>
+    </div>
+  </xsl:template>
+  
+</xsl:stylesheet>
Index: lib/spatial/mapbuilder/examples/ExampleList.js
===================================================================
--- lib/spatial/mapbuilder/examples/ExampleList.js	(nonexistent)
+++ lib/spatial/mapbuilder/examples/ExampleList.js	(revision 4307)
@@ -0,0 +1,20 @@
+/*
+Author:       Steven M. Ottens
+License:      LGPL as per: http://www.gnu.org/copyleft/lesser.html
+
+$Id: ExampleList.js 1671 2005-09-20 02:37:54Z madair1 $
+*/
+// Ensure this object's dependancies are loaded.
+mapbuilder.loadScript(baseDir+"/widget/WidgetBaseXSL.js");
+
+/**
+ * Render a list of the examples
+ * @constructor
+ * @base WidgetBaseXSL
+ * @author Steven M. Ottens
+ * @param widgetNode  The widget's XML object node from the configuration document.
+ * @param model       The model object that this widget belongs to.
+ */
+function ExampleList(widgetNode, model) {
+  WidgetBaseXSL.apply(this,new Array(widgetNode, model));
+}
Index: lib/spatial/mapbuilder/examples/mergeModels/TipWidgetOL.xsl
===================================================================
--- lib/spatial/mapbuilder/examples/mergeModels/TipWidgetOL.xsl	(nonexistent)
+++ lib/spatial/mapbuilder/examples/mergeModels/TipWidgetOL.xsl	(revision 4307)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:pmb="http://nsuri.notld/poweredByMapbuilder" xmlns:gml="http://www.opengis.net/gml" xmlns:wfs="http://www.opengis.net/wfs" xmlns:topp="http://www.openplans.org/topp" version="1.0">
+
+<!--
+Description: Convert a GML FeatureInfoResponse or FeatureCollection into a OL popup text.
+Author:      Andreas Hocevar
+$Id: TipWidgetOL.xsl 3907 2008-03-06 10:27:06Z steven $
+-->
+
+  <xsl:output method="xml" encoding="utf-8" omit-xml-declaration="yes"/>
+
+  <!-- Common params for all widgets -->
+  <xsl:param name="modelId"/>
+  <xsl:param name="widgetId"/>
+  
+  <!-- params for this widget -->
+  <xsl:param name="fid"/>
+
+  <!-- Main html - It matches only non-empty results -->
+  <xsl:template match="/">
+  	<div class="PopupContainer">
+      <xsl:apply-templates/>
+    </div>
+  </xsl:template>
+
+  <!-- featureInfo -->
+  <xsl:template match="wfs:FeatureCollection/gml:featureMember">
+  	<xsl:if test="*[@fid=$fid]">
+      <xsl:value-of select="*[@fid=$fid]//pmb:name"/>
+ 	  </xsl:if>
+  </xsl:template>
+
+  <!-- Remove documentation, text, comments -->
+  <xsl:template match="comment()|text()|processing-instruction()">
+  </xsl:template>
+</xsl:stylesheet>
Index: lib/spatial/mapbuilder/examples/openlayers/Legend2.xsl
===================================================================
--- lib/spatial/mapbuilder/examples/openlayers/Legend2.xsl	(nonexistent)
+++ lib/spatial/mapbuilder/examples/openlayers/Legend2.xsl	(revision 4307)
@@ -0,0 +1,198 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet 
+    xmlns:wmc="http://www.opengis.net/context" 
+    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
+    xmlns:gml='http://www.opengis.net/gml' 
+    xmlns:wfs='http://www.opengis.net/wfs'
+    xmlns:sld='http://www.opengis.net/sld'
+    xmlns:xlink='http://www.w3.org/1999/xlink'
+    version="1.0">
+<!--
+Description: Convert an OWS Context into a HTML Legend
+Author:      Cameron Shorter cameron ATshorter.net
+Author:      Patrice C.
+Licence:     LGPL as per: http://www.gnu.org/copyleft/lesser.html
+
+$Id: Legend2.xsl 3907 2008-03-06 10:27:06Z steven $
+$Name$
+-->
+  <xsl:output method="xml" encoding="utf-8" omit-xml-declaration="yes"/>
+  
+  <!-- The common params set for all widgets -->
+  <xsl:param name="lang">en</xsl:param>
+  <xsl:param name="modelId"/>
+  <xsl:param name="widgetId"/>
+
+  <xsl:param name="skinDir"/>
+  
+  <!-- Text params for this widget -->
+  <xsl:param name="title"/>
+  
+<!-- The name of the javascript context object to call -->
+  <xsl:param name="featureName"/>
+  <xsl:param name="hidden"/>
+  <xsl:param name="context">config.objects.<xsl:value-of select="$modelId"/></xsl:param>
+
+<!-- Main html -->
+  <xsl:template match="/wmc:ViewContext">
+    <table border="0" cellpadding="1" cellspacing="0">
+      <tr>
+        <th colspan="3">Layer List</th>
+      </tr>
+     
+      <xsl:apply-templates select="wmc:LayerList/wmc:Layer">
+        <xsl:sort select="position()" order="descending" data-type="number"/>
+      </xsl:apply-templates>
+      
+    </table>
+  </xsl:template>
+  
+  <xsl:template match="/wmc:OWSContext">
+    <table border="0" cellpadding="1" cellspacing="0">
+      <tr>
+        <th colspan="3">Layer List</th>
+      </tr>
+     
+      <xsl:apply-templates select="wmc:ResourceList/wmc:Layer|wmc:ResourceList/wmc:FeatureType">
+        <xsl:sort select="position()" order="descending" data-type="number"/>
+      </xsl:apply-templates>
+      
+     <xsl:apply-templates select="wmc:ResourceList/wmc:RssLayer">
+        <xsl:sort select="position()" order="descending" data-type="number"/>
+      </xsl:apply-templates>
+    </table>
+  </xsl:template>
+  
+  <xsl:template match="/wfs:FeatureCollection">
+    <table border="0" cellpadding="1" cellspacing="0">
+      <tr>
+        <th colspan="3">WFS Features</th>
+      </tr>
+      <tr>
+        <!-- Visiblity -->
+        <td>
+          <xsl:if test="$hidden='false'">
+            <input type="checkbox" checked="true" id="legend_{$featureName}" onclick="{$context}.setHidden('{$featureName}',!document.getElementById('legend_{$featureName}').checked)"/>
+          </xsl:if>
+          <xsl:if test="$hidden='true'">
+            <input type="checkbox" id="legend_{$featureName}" onclick="{$context}.setHidden('{$featureName}',! document.getElementById('legend_{$featureName}').checked)"/>
+          </xsl:if>
+        </td>
+        <!-- No query capability yet -->
+        <td>
+        </td>
+        <td>
+          <xsl:value-of select="$featureName"/>
+        </td>
+      </tr>
+    </table>
+  </xsl:template>
+  
+  <!-- Layer -->
+  <xsl:template match="wmc:Layer|wmc:FeatureType">
+    <tr>
+      <!-- Visiblity -->
+      <td>
+        <xsl:if test="@hidden='0'">
+          <input type="checkbox" checked="true" id="legend_{wmc:Name}" onclick="{$context}.setHidden('{wmc:Name}',!document.getElementById('legend_{wmc:Name}').checked)"/>
+        </xsl:if>
+        <xsl:if test="@hidden='1'">
+          <input type="checkbox" id="legend_{wmc:Name}" onclick="{$context}.setHidden('{wmc:Name}',! document.getElementById('legend_{wmc:Name}').checked)"/>
+        </xsl:if>
+      </td>
+      <!-- Query Image -->
+      <td>
+        <xsl:if test="@queryable='1'">
+          <img
+            id="query_{wmc:Name}"
+            title="Click to set {wmc:Title} as the query layer"
+            onclick="config.objects.{$widgetId}.selectLayer(config.objects.{$widgetId},'{wmc:Name}')"
+            src="{$skinDir}/images/id.gif" />
+        </xsl:if>
+      </td>
+	  
+	  <!-- Color icon -->
+	  <td width="12" height="12">
+	    <div style="width:10;height:10;background-color:{.//sld:CssParameter[@name='fill']};border:1px solid {.//sld:CssParameter[@name='stroke']}"/>
+	  </td>
+	  
+      <!-- Title -->
+      <td>
+        <xsl:choose>
+          <xsl:when test="wmc:Title/@xml:lang">              
+            <xsl:value-of select="wmc:Title[@xml:lang=$lang]"/>
+          </xsl:when>
+          <xsl:otherwise>
+            <xsl:value-of select="wmc:Title"/>
+          </xsl:otherwise>
+        </xsl:choose>
+      </td>
+    </tr>
+    <!-- StyleList -->
+    <tr>
+      <td></td>
+      <td></td>
+      <td>
+      <xsl:if test="wmc:StyleList/wmc:Style[@current='1']/wmc:LegendURL"> 
+          <xsl:element name="IMG">
+              <xsl:attribute name="SRC">
+                <xsl:value-of select="wmc:StyleList/wmc:Style[@current='1']/wmc:LegendURL/wmc:OnlineResource/@xlink:href"/> 
+              </xsl:attribute>
+          </xsl:element>
+         </xsl:if>
+      </td>
+    </tr>
+  </xsl:template>
+  
+   <xsl:template match="wmc:RssLayer">
+    <tr>
+      <!-- Visiblity -->
+      <td>
+        <xsl:if test="@hidden='0'">
+          <input type="checkbox" checked="true" id="legend_{wmc:Title}" onclick="{$context}.setHidden('{@id}',!document.getElementById('legend_{wmc:Title}').checked)"/>
+        </xsl:if>
+        <xsl:if test="@hidden='1'">
+          <input type="checkbox" id="legend_{wmc:Title}" onclick="{$context}.setHidden('{@id}',! document.getElementById('legend_{wmc:Title}').checked)"/>
+        </xsl:if>
+      </td>
+      <!-- Query Image -->
+      <td>
+        <xsl:if test="@queryable='1'">
+          <img
+            id="query_{wmc:Name}"
+            title="Click to set {wmc:Title} as the query layer"
+            onclick="config.objects.{$widgetId}.selectLayer(config.objects.{$widgetId},'{wmc:Name}')"
+            src="{$skinDir}/images/id.gif" />
+        </xsl:if>
+      </td>
+      <!-- Title -->
+      <td>
+        <xsl:choose>
+          <xsl:when test="wmc:Title/@xml:lang">              
+            <xsl:value-of select="wmc:Title[@xml:lang=$lang]"/>
+          </xsl:when>
+          <xsl:otherwise>
+            <xsl:value-of select="wmc:Title"/>
+          </xsl:otherwise>
+        </xsl:choose>
+      </td>
+    </tr>
+    <!-- StyleList -->
+    <tr>
+      <td></td>
+      <td></td>
+      <td>
+      <xsl:if test="wmc:StyleList/wmc:Style[@current='1']/wmc:LegendURL"> 
+          <xsl:element name="IMG">
+              <xsl:attribute name="SRC">
+                <xsl:value-of select="wmc:StyleList/wmc:Style[@current='1']/wmc:LegendURL/wmc:OnlineResource/@xlink:href"/> 
+              </xsl:attribute>
+          </xsl:element>
+         </xsl:if>
+      </td>
+    </tr>
+  </xsl:template>
+  
+  <xsl:template match="text()|@*"/>
+  
+</xsl:stylesheet>
Index: lib/spatial/mapbuilder/examples/GeoBliki/AoiForm.xsl
===================================================================
--- lib/spatial/mapbuilder/examples/GeoBliki/AoiForm.xsl	(nonexistent)
+++ lib/spatial/mapbuilder/examples/GeoBliki/AoiForm.xsl	(revision 4307)
@@ -0,0 +1,56 @@
+<?xml version="1.0" encoding="utf-8" standalone="no" ?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+
+<!--
+Description: Output a form for display of the context doc AOI
+Author:      Mike Adair
+Licence:     LGPL as per: http://www.gnu.org/copyleft/lesser.html
+
+AoiForm.xsl,v 1.2 2004/06/25 17:59:38 madair1 Exp
+-->
+
+  <xsl:output method="xml" encoding="utf-8" omit-xml-declaration="yes"/>
+
+  <!-- The common params set for all widgets -->
+  <xsl:param name="modelId"/>
+  <xsl:param name="widgetId"/>
+
+  <!-- The name of the form for coordinate output -->
+  <xsl:param name="formName">AOIForm</xsl:param>
+
+  <!-- Text params for this widget -->
+  <xsl:param name="title"/>
+  <xsl:param name="north"/>
+  <xsl:param name="south"/>
+  <xsl:param name="east"/>
+  <xsl:param name="west"/>
+  
+  <!-- Main html -->
+  <xsl:template match="/">
+    <div>
+    <form name="{$formName}" id="{$formName}">
+      <table>
+        <tr>
+          
+          <td>
+            <input name="northCoord" type='hidden' size="10" style="font: 8pt Verdana, geneva, arial, sans-serif;" readonly="readonly"/>
+          </td>
+          
+          <td>
+            <input name="westCoord" type='hidden' size="10" style="font: 8pt Verdana, geneva, arial, sans-serif;" readonly="readonly"/>
+          </td>
+          
+          <td>
+            <input name="eastCoord" type='hidden' size="10" style="font: 8pt Verdana, geneva, arial, sans-serif;" readonly="readonly"/>
+          </td>
+        
+          <td>
+            <input name="southCoord" type='hidden' size="10" style="font: 8pt Verdana, geneva, arial, sans-serif;" readonly="readonly"/>
+          </td>       
+        </tr>
+      </table>
+    </form>
+    </div>
+  </xsl:template>
+  
+</xsl:stylesheet>
Index: lib/spatial/mapbuilder/examples/ExampleList.xsl
===================================================================
--- lib/spatial/mapbuilder/examples/ExampleList.xsl	(nonexistent)
+++ lib/spatial/mapbuilder/examples/ExampleList.xsl	(revision 4307)
@@ -0,0 +1,137 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+
+	<!--
+		Description: Displays the mapbuilder version.
+		The $Version: $ tag is changed during the ant build process to
+		the current version.
+		Author:      Cameron Shorter
+		Licence:     LGPL as per: http://www.gnu.org/copyleft/lesser.html
+		
+		$Id: Version.xsl 2175 2006-08-16 10:34:37Z camerons $
+		$Name$
+	-->
+
+	<xsl:output method="xml" encoding="utf-8" omit-xml-declaration="yes"/>
+	<!-- Main html -->
+	<xsl:template match="/">
+		<div id="menubar"><!-- left side of the middle div-->
+			<h2>Basic</h2>
+			<ul>
+				<li>
+					<a href="../simple/index.html"
+						title="simple map demo">
+						Simple Map Viewer
+					</a>
+				</li>
+				<li>
+					<a href="../interactive/index.html"
+						title="interactive map demo">
+						Interactive Map Viewer
+					</a>
+				</li>
+
+				<li>
+					<a href="../mapViewer/index.html"
+						title="enhanced map demo">
+						Enhanced Map Viewer
+					</a>
+				</li>
+			</ul>
+			<h2>Complex</h2>
+			<ul>
+				<li>
+					<a href="../Demis/index.html"
+						title="Demis map viewer">
+						Different maps connected
+					</a>
+				</li>
+				<li>
+					<a href="../timeSeries/index.html"
+						title="Time series viewer">
+						Time series viewer
+					</a>
+				</li>
+				<li>
+					<a href="../wfs-t/index.html"
+						title="Feature entry">
+						Feature entry
+					</a>
+				</li>
+
+				<li>
+					<a href="../OWSExplorer/index.html"
+						title="OWS Explorer">
+						Open Web Services Explorer
+					</a>
+				</li>
+			</ul>
+			<h2>New</h2>
+			<ul>
+				<li>
+					<a href="../catalog/index.html"
+						title="Catalog Client">
+						Catalog Client
+					</a>
+				</li>
+				<li>
+					<a href="../mergeModels/index.html"
+						title="Complex Vector Rendering with GmlRendererOL and MergeModels">
+						Complex Vector Rendering
+					</a>
+				</li>
+				<li>
+					<a href="../flickr/index.html"
+						title="GeoRSS feed example">
+						Live flickr feed viewer
+					</a>
+				</li>
+				<li>
+					<a href="../shipTracks/index.html"
+						title="GeoRSS Ship tracks">
+						GeoRSS Shiptracks
+					</a>
+				</li>
+
+				<li>
+					<a href="../GeoBliki/index.html"
+						title="GeoBliki example">
+						WFS query, Popup Feature information
+					</a>
+				</li>
+				<li>
+					<a href="../Google/index.html"
+						title="Google Map Viewer">
+						Google Map Viewer
+					</a>
+				</li>
+				<li>
+					<a href="../projDemo/index.html"
+						title="Reprojecting vector data on the fly">
+						Projections
+					</a>
+				</li>
+				<li>
+					<a href="../openlayers/index.html"
+						title="Webmap.js integration">
+						OpenLayers integration
+					</a>
+				</li>
+				<li>
+					<a href="../i18n/index.html"
+						title="I18N map demo">
+						I18N Map Viewer
+					</a>
+				</li>
+			</ul>
+			<h2><a href="../" style="color:black">
+				All examples</a>
+			</h2>
+			
+
+		</div><!-- /menubar -->
+	</xsl:template>
+
+	<xsl:template match="text()|@*" />
+</xsl:stylesheet>
Index: lib/spatial/mapbuilder/examples/mapViewer/LegendOpaque.xsl
===================================================================
--- lib/spatial/mapbuilder/examples/mapViewer/LegendOpaque.xsl	(nonexistent)
+++ lib/spatial/mapbuilder/examples/mapViewer/LegendOpaque.xsl	(revision 4307)
@@ -0,0 +1,101 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet 
+    xmlns:wmc="http://www.opengis.net/context" 
+    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
+    xmlns:gml='http://www.opengis.net/gml' 
+    xmlns:wfs='http://www.opengis.net/wfs'
+    xmlns:xlink='http://www.w3.org/1999/xlink'
+    version="1.0">
+<!--
+Description: Convert a Web Map Context into a HTML Legend
+Author:      Cameron Shorter cameron ATshorter.net
+Licence:     LGPL as per: http://www.gnu.org/copyleft/lesser.html
+
+$Id: LegendOpaque.xsl 3907 2008-03-06 10:27:06Z steven $
+$Name$
+-->
+  <xsl:output method="xml" encoding="utf-8" omit-xml-declaration="yes"/>
+  
+  <!-- The common params set for all widgets -->
+  <xsl:param name="lang">en</xsl:param>
+  <xsl:param name="modelId"/>
+  <xsl:param name="widgetId"/>
+
+  <xsl:param name="skinDir"/>
+  <xsl:param name="selectIcon">/images/id.gif</xsl:param>
+  
+  <!-- Text params for this widget -->
+  <xsl:param name="title"/>
+  
+<!-- The name of the javascript context object to call -->
+  <xsl:param name="featureName"/>
+  <xsl:param name="hidden"/>
+  <xsl:param name="context">config.objects.<xsl:value-of select="$modelId"/></xsl:param>
+
+  <!-- Main html -->
+  <xsl:template match="/wmc:ViewContext">
+    <table>
+      <tr>
+        <th align="left" ><xsl:value-of select="$title"/></th>
+      </tr>
+      <xsl:choose>
+        <xsl:when test="$featureName">
+          <xsl:apply-templates select="wmc:ResourceList[wmc:Name='$featureName'] | wmc:LayerList[wmc:Name='$featureName']"/>
+        </xsl:when>
+        <xsl:otherwise>
+          <xsl:apply-templates select="wmc:ResourceList/* | wmc:LayerList/*">
+            <xsl:sort select="position()" order="descending" data-type="number"/>
+          </xsl:apply-templates>
+        </xsl:otherwise>
+      </xsl:choose>
+    </table>
+  </xsl:template>
+  
+  <!-- Layer -->
+  <xsl:template match="wmc:Layer">
+    <tr>
+      <!-- Visiblity -->
+      <td>
+        <input id="legend_{wmc:name}">
+          <xsl:choose>
+            <xsl:when test="@opaque='1'">
+              <xsl:attribute name="type">radio</xsl:attribute>
+              <xsl:attribute name="name">legendGroup</xsl:attribute>
+              <xsl:attribute name="onclick">config.objects.<xsl:value-of select="$widgetId"/>.swapOpaqueLayer('<xsl:value-of select="wmc:Name"/>',!this.checked)</xsl:attribute>
+            </xsl:when>
+            <xsl:otherwise>
+              <xsl:attribute name="type">checkbox</xsl:attribute>
+              <xsl:attribute name="onclick"><xsl:value-of select="$context"/>.setHidden('<xsl:value-of select="wmc:Name"/>',!this.checked)</xsl:attribute>
+            </xsl:otherwise>
+          </xsl:choose>
+          <xsl:if test="@hidden='0'"><xsl:attribute name="checked">checked</xsl:attribute></xsl:if>
+        </input>
+        <xsl:choose>
+          <xsl:when test="wmc:Title/@xml:lang">              
+            <xsl:value-of select="wmc:Title[@xml:lang=$lang]"/>
+          </xsl:when>
+          <xsl:otherwise>
+            <xsl:value-of select="wmc:Title"/>
+          </xsl:otherwise>
+        </xsl:choose>
+      </td>
+    </tr>
+    <!-- StyleList
+    <tr>
+      <td></td>
+      <td></td>
+      <td>
+      <xsl:if test="wmc:StyleList/wmc:Style[@current='1']/wmc:LegendURL"> 
+          <xsl:element name="img">
+              <xsl:attribute name="src">
+                <xsl:value-of select="wmc:StyleList/wmc:Style[@current='1']/wmc:LegendURL/wmc:OnlineResource/@xlink:href"/> 
+              </xsl:attribute>
+          </xsl:element>
+         </xsl:if>
+      </td>
+    </tr> -->
+  </xsl:template>
+  
+  <xsl:template match="text()|@*"/>
+  
+</xsl:stylesheet>
